Show / Hide Table of Contents

# AsyncCollisionEnterTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncCollisionEnterTrigger : AsyncTriggerBase<Collision>, IUniTaskAsyncEnumerable<Collision>

##### Inheritance

System.Object → AsyncTriggerBase<Collision> → AsyncCollisionEnterTrigger

##### Implements

IUniTaskAsyncEnumerable<Collision>

### Members

#### Methods

Name | Description
--- | ---
GetOnCollisionEnterAsyncHandler() |
GetOnCollisionEnterAsyncHandler(CancellationToken) |
OnCollisionEnterAsync() |
OnCollisionEnterAsync(CancellationToken) |

### Methods

#### GetOnCollisionEnterAsyncHandler()

    public IAsyncOnCollisionEnterHandler GetOnCollisionEnterAsyncHandler()

##### Returns

IAsyncOnCollisionEnterHandler

#### GetOnCollisionEnterAsyncHandler(CancellationToken)

    public IAsyncOnCollisionEnterHandler GetOnCollisionEnterAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnCollisionEnterHandler

#### OnCollisionEnterAsync()

    public UniTask<Collision> OnCollisionEnterAsync()

##### Returns

UniTask<Collision>

#### OnCollisionEnterAsync(CancellationToken)

    public UniTask<Collision> OnCollisionEnterAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<Collision>

### Implements

IUniTaskAsyncEnumerable<T>